com.hazelcast.nio.ssl

## Class BasicSSLContextFactory

- java.lang.Object
- - com.hazelcast.nio.ssl.SSLEngineFactorySupport
  - - com.hazelcast.nio.ssl.BasicSSLContextFactory

- All Implemented Interfaces:
    SSLContextFactory

      public class BasicSSLContextFactory
      extends SSLEngineFactorySupport
      implements SSLContextFactory

- - ### Field Summary

    - ### Fields inherited from class com.hazelcast.nio.ssl.SSLEngineFactorySupport

      `JAVA_NET_SSL_PREFIX, kmf, protocol, tmf`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicSSLContextFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SSLContext` | `getSSLContext()`
    `void` | `init(Properties properties)` Initializes this class with config from `SSLConfig`

    - ### Methods inherited from class com.hazelcast.nio.ssl.SSLEngineFactorySupport

      `getProperty, getProperty, load, loadKeyManagerFactory, loadKeyManagerFactory, loadKeyStore, loadTrustManagerFactory, loadTrustManagerFactory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicSSLContextFactory

          public BasicSSLContextFactory()

  - ### Method Detail

    - #### init

          public void init(Properties properties)
                    throws Exception

      Description copied from interface: `SSLContextFactory`
      Initializes this class with config from `SSLConfig`
      Specified by:
        `init` in interface `SSLContextFactory`
      Parameters:
        `properties` - properties form config
      Throws:
        `Exception`

    - #### getSSLContext

          public SSLContext getSSLContext()

      Specified by:
        `getSSLContext` in interface `SSLContextFactory`
      Returns:
        SSLContext

Copyright © 2018. All rights reserved.